## Author: M Turhan ÇOBAN
## Created: 2021-10-25
function retval = roots_bisection_secant(f,a,b)
    c=root_limits(f,a,b);
    n=length(c);
    for i=1:n
      x(i)=bisection_secant(f,c(i,1),c(i,2));
    endfor
retval=x;
endfunction